<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" layout="1column" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
	<head>
        <css src="Bloyal_Calculatecart::css/calculatecart.css" media="all"/>
    </head>
    <body>
        <referenceBlock name="checkout.root">
            <arguments>
                <argument name="jsLayout" xsi:type="array">
                    <item name="components" xsi:type="array">
                        <item name="checkout" xsi:type="array">
                            <item name="children" xsi:type="array">
								<item name="sidebar" xsi:type="array">
                                    <item name="children" xsi:type="array">
										
                                        <item name="summary" xsi:type="array">
                                            <item name="children" xsi:type="array">
                                                <item name="totals" xsi:type="array">
                                                    <item name="children" xsi:type="array">
                                                       <item name="bloyaldiscount" xsi:type="array">
                                                            <item name="component"  xsi:type="string">Bloyal_Calculatecart/js/view/checkout/cart/totals/bloyal-discount
                                                            </item>
                                                            <item name="sortOrder" xsi:type="string">20</item>
                                                        </item>
														<item name="giftcardcomponent" xsi:type="array">
															<item name="component" xsi:type="string">
																Bloyal_Calculatecart/js/view/checkout/totals/giftcardlabel
															</item>
															<item name="sortOrder" xsi:type="string">20</item>
														</item>
														<item name="loyaltydollarused" xsi:type="array">
                                                            <item name="component"  xsi:type="string">
                                                                Bloyal_Calculatecart/js/view/checkout/totals/loyaltylabel
                                                            </item>
                                                            <item name="sortOrder" xsi:type="string">20</item>
                                                        </item>
                                                    </item>
                                                </item>
                                                <item name="cart_items" xsi:type="array">
                                                    <item name="children" xsi:type="array">
                                                        <item name="details" xsi:type="array">
                                                            <item name="children" xsi:type="array">
                                                                <item name="subtotal" xsi:type="array">
                                                                    <item name="component" xsi:type="string">Magento_Tax/js/view/checkout/summary/item/details/subtotal</item>
                                                                </item>
                                                            </item>
                                                        </item>
                                                    </item>
                                                </item>
                                            </item>
                                        </item>
                                    </item>
                                </item>
								<item name="steps" xsi:type="array">
                                    <item name="children" xsi:type="array">
                                        
                                        <item name="billing-step" xsi:type="array">
                                            <item name="component" xsi:type="string">uiComponent</item>
                                            <item name="children" xsi:type="array">
                                                <item name="payment" xsi:type="array">
                                                    <item name="children" xsi:type="array">
                                                        <item name="renders" xsi:type="array">
                                                            <!-- merge payment method renders here -->
                                                            <item name="children" xsi:type="array">
                                                                <item name="LoyaltyDollarTender" xsi:type="array">
                                                                    <item name="component" xsi:type="string">Bloyal_Calculatecart/js/view/payment/loyaltydollar</item>
                                                                    <item name="methods" xsi:type="array">
                                                                        <item name="loyaltydollar" xsi:type="array">
                                                                            <item name="isBillingAddressRequired" xsi:type="boolean">true</item>
                                                                        </item>
                                                                    </item>
                                                                </item>
                                                                <item name="GiftCardTender" xsi:type="array">
                                                                    <item name="component" xsi:type="string">Bloyal_Calculatecart/js/view/payment/giftcard-tender</item>
                                                                    <item name="methods" xsi:type="array">
                                                                        <item name="giftcard" xsi:type="array">
                                                                            <item name="isBillingAddressRequired" xsi:type="boolean">true</item>
                                                                        </item>
                                                                    </item>
                                                                </item>
                                                                <item name="storedpayment" xsi:type="array">
                                                                    <item name="component" xsi:type="string">Bloyal_Calculatecart/js/view/payment/storedPayment</item>
                                                                    <item name="methods" xsi:type="array">
                                                                        <item name="storedpayment" xsi:type="array">
                                                                            <item name="isBillingAddressRequired" xsi:type="boolean">true</item>
                                                                            <item name="bloyal_stored_payment_method" xsi:type="array">
                                                                                <item name="component" xsi:type="string">Bloyal_Calculatecart/js/view/payment/storedpaymentsnippet</item>
                                                                            </item>
                                                                        </item>
                                                                        
                                                                    </item>
                                                                </item>
                                                            </item>
                                                        </item>
                                                        
                                                    </item>
                                                </item>
                                            </item>
                                        </item>
                                    </item>
                                </item>
                            </item>
                        </item>
                    </item>
                </argument>
            </arguments>
        </referenceBlock>
    </body>
</page>